Summary:	Mail Watcher plugin for the Xfce panel
Summary(de):	Mail Watcher Erweiterung für das Xfce-Panel
Name:		xfce4-mailwatch-plugin
Version:	1.2.0
Release:	%mkrel 3
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://spuriousinterrupt.org/projects/mailwatch
Source0:	http://spuriousinterrupt.org/files/mailwatch/%{name}-%{version}.tar.xz
#-----------------------------------------
BuildRequires: gettext
BuildRequires: intltool
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}exo-devel
BuildRequires: %{_lib}gcrypt-devel
BuildRequires: %{_lib}gcrypt11
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gnutls-devel
BuildRequires: %{_lib}gpg-error-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xfce4ui-devel
BuildRequires: libxfce4util-devel
BuildRequires: xfce4-dev-tools
BuildRequires: xfce4-panel-devel
#----------------------------------------
Obsoletes:	xfce-mailwatch-plugin
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Obsoletes:	%name < %version

%description
Mailwatch is a mail watcher plugin for the Xfce 4 panel.

#german
%description -l de
Mailwatch ist ein Mail-Beobachter-Plugin für das Xfce 4 Panel.

#french
%description -l fr
Mailwatch Watcher est un plugin de messagerie pour les 4 panneau Xfce.

#spanish
%description -l es
Mailwatch plug-in es un vigilante de correo electrónico para el panel de Xfce 4.

#polish
%description -l pl
Mailwatch is a mail watcher plugin for the Xfce 4 panel.

#serbian
%description -l sr
Маилуатцх је поште Стражар плугин за Ксфце 4 панела.

#dutch
%description -l nl
Mailwatch is een mail watcher plugin voor de Xfce 4 paneel.

%prep
%setup -q

./autogen.sh

%build
%define Werror_cflags %nil

%configure2_5x \
	--disable-static \
	--enable-ssl
%make

%install
rm -rf %{buildroot}
%makeinstall_std

#Fix desktop file
perl -pi -e "s|libexec|lib|" $RPM_BUILD_ROOT%{_datadir}/xfce4/panel-plugins/*.desktop

# don't ship .la
find %{buildroot} -name '*.la' -exec rm -f {} \;

# don't ship .a
find %{buildroot} -name '*.a' -exec rm -f {} \;

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS README
%{_libdir}/xfce4/panel/plugins/libmailwatch.so
%{_datadir}/xfce4/panel/plugins/*.desktop
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/scalable/apps/*.svg
%{_datadir}/locale/*


%changelog
* Sat Mar 07 2015 ghostbunny <ghostbunny at gmx dot de> 1.2.0-3pclos2015
- rebuild against new libxfce4util7

* Fri Jan 03 2014 bb <bb> 1.2.0-2pclos2014
- drop libtoolize configuration
- adjust BR

* Sun Dec 22 2013 ghostbunny <ghostbunny at gmx dot de> 1.2.0-1pclos2013
- 1.2.0
- fix files section (drop c api, new directory structure)
- drop building the plugin in the autogen.sh line

* Thu Sep 20 2012 Neal <nealbrks0 at gmail dot com> 1.1.1-2pclos2012
- 64bit

* Fri Aug 31 2012 Neal <nealbrks0 at gmail dot com> 1.1.1-2pclos2012
- process

* Thu Aug 30 2012 ghostbunny <ghostbunny at gmx dot de> 1.1.1-2pclos2012
- rebuild against new xfce4 panel and libxfce4util
- added/fixed german summary and description

* Sun Jan 01 2012 Sproggy <desproggster at gmail.com> 1.1.1-1pclos2012
- rebuild

* Wed Oct 07 2009 Neal <nealbrks0@gmail.com> 1.1.0-2
- gcc update

* Sun Mar 22 2009 pcserver <pcserver@hushmail.com> 1.1.0-1pclos2007
- create
